Next Previous Contents

## 3. Apache

## 3.1 Installation d'Apache

Si vous décidez de le compiler vous-même, les options suivantes fonctionnent

    ./configure --prefix=/opt/http2/ \
                --enable-ssl \
                --enable-http \
                --enable-cgi \
                --enable-so \
                --enable-usertrack \
                --enable-headers \
                --enable-info

## 3.2 Configuration d'Apache

Le fichier httpd.conf doit au moins contenir.

    LoadModule      php4_module     modules/libphp4.so
    AddType application/x-httpd-php .php4 .php3 .php .phtml

Et si vous décidez d'avoir la même configuration que moi, mais ce n'est pas obligatoire

    < VirtualHost 172.16.30.150 >
            ServerName site
            ErrorLog phpcompta-error.log
            TransferLog phpcompta-debug.log
            DocumentRoot /home/httpd/compta/html
    </VirtualHost >

Apache se démarre avec apachectl start

Remarque : Pour plus d'information, voir le manuel d'Apache.

Next Previous Contents